[2.0 beta1 ] Service 'maas-proxy' failed to start: Job for maas-proxy.service failed because the control process exited with error code. See "systemctl status maas-proxy.service" and "journalctl -xe" for details.

Bug #1568847 reported by Andres Rodriguez on 2016-04-11
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
MAAS
Undecided
LaMont Jones

Bug Description

MAAS tries to start maas-proxy when it is not ready to be started??

2016-04-09 18:18:51 [-] 127.0.0.1 - - [09/Apr/2016:22:18:50 +0000] "GET /MAAS/api/2.0/zones/ HTTP/1.1" 200 135 "-" "Python-httplib2/0.9.1 (gzip)"
2016-04-09 18:18:52 [-] Successfully configured DNS.
2016-04-09 18:18:52 [-] Failed configuring proxy.
 Traceback (most recent call last):
   File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 434, in errback
     self._startRunCallbacks(fail)
   File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 501, in _startRunCallbacks
     self._runCallbacks()
   File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 588, in _runCallbacks
     current.result = callback(current.result, *args, **kw)
   File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1184, in gotResult
     _inlineCallbacks(r, g, deferred)
 --- <exception caught here> ---
   File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1126, in _inlineCallbacks
     result = result.throwExceptionIntoGenerator(g)
   File "/usr/lib/python3/dist-packages/twisted/python/failure.py", line 389, in throwExceptionIntoGenerator
     return g.throw(self.type, self.value, self.tb)
   File "/usr/lib/python3/dist-packages/provisioningserver/utils/service_monitor.py", line 296, in reloadService
     state = yield self.ensureService(name)
   File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1126, in _inlineCallbacks
     result = result.throwExceptionIntoGenerator(g)
   File "/usr/lib/python3/dist-packages/twisted/python/failure.py", line 389, in throwExceptionIntoGenerator
     return g.throw(self.type, self.value, self.tb)
   File "/usr/lib/python3/dist-packages/provisioningserver/utils/service_monitor.py", line 433, in _ensureService
     yield self._performServiceAction(service, action)
   File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1128, in _inlineCallbacks
     result = g.send(result)
   File "/usr/lib/python3/dist-packages/provisioningserver/utils/service_monitor.py", line 336, in _performServiceAction
     raise ServiceActionError(error_msg)
 provisioningserver.utils.service_monitor.ServiceActionError: Service 'maas-proxy' failed to start: Job for maas-proxy.service failed because the control process exited with error code. See "systemctl status maas-proxy.service" and "journalctl -xe" for details.

2016-04-09 18:18:52 [-] 127.0.0.1 - - [09/Apr/2016:22:18:52 +0000] "POST /MAAS/api/2.0/spaces/ HTTP/1.1" 200 107 "-" "Python-httplib2/0.9.1 (gzip)"

root@autopkgtest:/var/log/maas/proxy# sudo service maas-proxy status [15/28]
● maas-proxy.service - MAAS Proxy
   Loaded: loaded (/lib/systemd/system/maas-proxy.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Mon 2016-04-11 05:01:46 EDT; 28min ago
  Process: 13917 ExecStartPre=/bin/sh -ec . /usr/share/maas/maas-proxy-common.sh; pre_start (code=exited, status=1/FAILURE)
  Process: 13914 ExecStartPre=/bin/mkdir -p /run/maas/proxy (code=exited, status=0/SUCCESS)

Related branches

description: updated
summary: - Service 'maas-proxy' failed to start: Job for maas-proxy.service failed
- because the control process exited with error code. See "systemctl
- status maas-proxy.service" and "journalctl -xe" for details.
+ [2.0 beta1 ] Service 'maas-proxy' failed to start: Job for maas-
+ proxy.service failed because the control process exited with error code.
+ See "systemctl status maas-proxy.service" and "journalctl -xe" for
+ details.
Changed in maas:
status: New → Fix Committed
milestone: none → 2.0.0
LaMont Jones (lamont) on 2016-04-15
Changed in maas:
assignee: nobody → LaMont Jones (lamont)
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers